MSGPRE(1)

BEZEICHNUNG
msgpre - Vorabübersetzung eines Meldungskatalogs

ÜBERSICHT
msgpre [OPTION…]

BESCHREIBUNG

Übersetzt einen Meldungskatalog vorab.

Achtung: Die Vorabübersetzung könnte nicht das sein, was Sie erwarten. Sie könnte die falsche Form haben, von schlechter Qualität sein oder einige Vorurteile wiedergeben.

Die zwingend erforderlichen Argumente für Optionen sind für deren Kurz- und Langform gleich.

  Ort der Eingabedatei:

-i, --input=EINGABEDATEI
    PO-Eingabedatei

-D, --directory=VERZEICHNIS
    Fügt das angegebene VERZEICHNIS zur Liste hinzu, in der nach Eingabedateien gesucht wird.

Wenn keine Eingabedatei oder »-« angegeben ist, wird die Standardeingabe gelesen.

  Ort der Ausgabedatei:

-o, --output-file=DATEI
    Schreibt die Ausgabe in die angegebene DATEI.

Die Ergebnisse werden in die Standardausgabe geschrieben, wenn keine Datei oder »-« angegeben ist.

  Auswahl der Meldungen:

--keep-fuzzy
    Belässt ungenaue Meldungen unverändert. Vorabübersetzung nur für nicht übersetzte Meldungen.

  Optionen für große Sprachmodelle (LLM):

--species=ART
    Legt die Art des LLMs fest. Die Vorgabe und der einzige gültige Wert ist »ollama«.

--url=URL
    Legt die URL des Servers, auf dem das LLM läuft, fest.

-m, --model=MODELL
    Legt das zu verwendende Modell fest.

--prompt=TEXT
    Legt die Eingabeaufforderung fest, die vor der Standardeingabeaufforderung verwandt werden soll.

--postprocess=BEFEHL
    Legt den Befehl für die Nachbearbeitung der Ausgabe fest.

  Syntax der Eingabedatei:

-P, --properties-input
    Eingabedatei folgt der .properties-Syntax von Java.

--stringtable-input
    Eingabedatei folgt der .strings-Syntax von NeXTstep/GNUstep.

  Details zur Ausgabe:

--color
    Verwendet immer Farben und andere Text-Attribute.

--color=WERT
    Verwendet Farben und andere Text-Attribute. Der angegebene WERT kann »always«, »never«, »auto« oder »html« sein.

--style=STILDATEI
    Gibt die CSS-Stilregeldatei für --color an.

--force-po
    Erstellt die PO-Datei auch dann, wenn sie leer ist.

--indent
    Stellt die Ausgabe eingerückt dar.

--no-location
    Schreibt keine Zeilen mit »#: Dateiname:Zeilennummer«.

-n, --add-location
    Schreibt Zeilen mit »#: Dateiname:Zeilennummer« (Vorgabe).

--strict
    Schreibt die Ausgabe strikt im Uniforum-Stil.

-p, --properties-output
    Schreibt eine .properties-Datei für Java.

--stringtable-output
    Schreibt eine .strings-Datei für NeXTstep/GNUstep.

-w, --width=ANZAHL
    Legt die Ausgabebreite auf die angegebene ANZAHL Spalten fest.

--no-wrap
    Bricht Zeilen in Meldungen, die länger als die Ausgabebreite sind, nicht auf mehrere Zeilen um.

-s, --sort-output
    Erstellt eine sortierte Ausgabe.

-F, --sort-by-file
    Sortiert die Ausgabe gemäß Vorkommen in Dateien.

  Informative Ausgabe:

-h, --help
    Zeigt Hilfeinformationen an und beendet das Programm.

-V, --version
    Gibt Versionsinformationen aus und beendet das Programm.

-q, --quiet, --silent
    Unterdrückt die Fortschrittsanzeige.

AUTOR
Geschrieben von Bruno Haible.

FEHLER MELDEN
Melden Sie Fehler im Fehlererfassungssystem auf https://savannah.gnu.org/projects/gettext oder per E-Mail an bug-gettext@gnu.org (jeweils auf Englisch).

COPYRIGHT
Copyright © 2001-2026 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für msgpre wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und msgpre auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info msgpre

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.